Summary:	3-dimensional perspective star map viewer
Name:		starplot
Version:	0.95.5
Release:	3%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://starplot.org/
Source0:	http://starplot.org/downloads/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-desktop.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	xdg-utils

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	xdg-utils

%description
StarPlot is a GTK+ based program, written in C++, which can be used
interactively to view three-dimensional perspective charts of stars.

%prep
%setup -q
%patch0 -p1

# Suppress rpmlint error.
iconv --from-code ISO8859-1 --to-code UTF-8 ./doc/examples/example.spec \
  --output example.utf-8 && mv example.utf-8 ./doc/examples/example.spec

%build
%configure --docdir=%{_docdir}/%{name}-%{version} \
  --disable-rpath --with-webbrowser=xdg-open
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Remove *.stars files from documentation.
rm -f ./doc/examples/*.stars

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%doc NLS-TEAM
%doc README
%doc TODO
%doc doc/examples
%doc doc/html
%{_bindir}/%{name}
%{_bindir}/starconvert
%{_bindir}/starpkg
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}32x32.xpm
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/starconvert.1.gz
%{_mandir}/man1/starpkg.1.gz

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/sample.stars
%{_datadir}/%{name}/test.stars

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 28 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.95.5-1
- Version bump to 0.95.5. Closes Red Hat Bugzilla bug #446948.
- .desktop file, and docdir and gcc-4.3 patches included by upstream.

* Mon Feb 11 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-6
- Rebuilding with gcc-4.3 in Rawhide.

* Fri Jan 04 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.95.4-5
- Added one missing hunk to the gcc-4.3 patch.

* Thu Jan 03 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.95.4-4
- Added missing includes to fix build with gcc-4.3.

* Sat Nov 24 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-3
- Added 'BuildRequires: gettext'.
- Removed Encoding from Desktop Entry for all distributions, except Fedora 7.

* Sat Nov 17 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-2
- Added 'BuildRequires: desktop-file-utils' and a .desktop file.
- Added 'BuildRequires: xdg-utils'.
- Fixed faulty documentation directory path.
- Fixed build stanza to correctly detect xdg-open.

* Mon Nov 12 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-1
- Initial build.
